> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Report Request

> This is a Frankie-made report based on the current information available for
the entity ID.

Reports include:
- profile
- ownership



## OpenAPI

````yaml /specs/fc-kyb-facade-bundled_generated.yaml post /v2/organizations/{entityId}/reports
openapi: 3.0.3
info:
  title: KYB Facade API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2 KYB. Currently in development,
    changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io
    description: UAT Environment API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Reports
    description: All Frankie reports
  - name: Hosted URL
    description: Api calls related to Hosted URL
paths:
  /v2/organizations/{entityId}/reports:
    parameters:
      - $ref: '#/components/parameters/entityId'
    post:
      tags:
        - Reports
      summary: Report Request
      description: >-
        This is a Frankie-made report based on the current information available
        for

        the entity ID.


        Reports include:

        - profile

        - ownership
      operationId: createReport
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/reportType'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Reports-Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    reportType:
      name: reportType
      in: query
      required: true
      schema:
        $ref: '#/components/schemas/Report-Type'
        description: Specifies the report you wish to run.
      description: Specifies the report you wish to run.
  schemas:
    Organizations-Reports-Response:
      type: object
      required:
        - requestId
      properties:
        requestId:
          $ref: '#/components/schemas/Request-ID'
        reportId:
          type: string
          description: The unique identifier for the requested report
        href:
          type: string
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Report-Type:
      type: string
      enum:
        - PROFILE
        - OWNERSHIP
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````